## ros-one-velocity-controllers 0.22.0-0jammy.20260221.2126

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(velocity_controllers)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  angles
  control_msgs
  control_toolbox
  controller_interface
  forward_command_controller
  hardware_interface
  pluginlib
  realtime_tools
  roscpp
  std_msgs
  urdf
)

# Declare catkin package
catkin_package(
  CATKIN_DEPENDS
    control_msgs
    control_toolbox
    controller_interface
    forward_command_controller
    hardware_interface
    realtime_tools
    std_msgs
    urdf
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)


###########
## Build ##
###########

# Specify header include paths
include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/joint_velocity_controller.cpp
  src/joint_position_controller.cpp
  src/joint_group_velocity_controller.cpp
)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install targets
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install plugins
install(FILES velocity_controllers_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-velocity-controllers (0.22.0-0jammy.20260221.2126) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 21:26:28 +0000

ros-one-velocity-controllers (0.22.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 May 2024 00:00:00 -0000

ros-one-velocity-controllers (0.21.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-velocity-controllers (0.21.1-0jammy) jammy; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-velocity-controllers (0.21.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-velocity-controllers (0.20.0-0jammy) jammy; urgency=high

  * Drop old C++ standard
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 May 2022 00:00:00 -0000

ros-one-velocity-controllers (0.19.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-velocity-controllers (0.18.1-0jammy) jammy; urgency=high

  * Format package.xml and CMakeLists.txt files + clean deps of velocity_controllers pkg
  * Contributors: Mateus Amarante Araújo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-velocity-controllers (0.18.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-velocity-controllers (0.17.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 May 2020 00:00:00 -0000

ros-one-velocity-controllers (0.16.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-velocity-controllers (0.16.0-0jammy) jammy; urgency=high

  * Assuming lower limits are smaller than upper limits
  * Solving issues with large rotational limits
  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Franco Fusco, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-velocity-controllers (0.15.1-0jammy) jammy; urgency=high

  * add missing pluginlib deps. (#451 <https://github.com/ros-controls/ros_controllers/issues/451>)
  * Contributors: Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-velocity-controllers (0.15.0-0jammy) jammy; urgency=high

  * Default all controller builds to C++14
  * boost::scoped_ptr -> std::unique_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-velocity-controllers (0.14.3-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-velocity-controllers (0.14.2-0jammy) jammy; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-velocity-controllers (0.14.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-velocity-controllers (0.14.0-0jammy) jammy; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-velocity-controllers (0.13.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-velocity-controllers (0.13.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-one-velocity-controllers (0.13.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Aug 2017 00:00:00 -0000

ros-one-velocity-controllers (0.12.3-0jammy) jammy; urgency=high

  * Supply NodeHandle to urdf::Model. Closes #244 <https://github.com/ros-controls/ros_controllers/issues/244>
  * Contributors: Piyush Khandelwal

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 Apr 2017 00:00:00 -0000

ros-one-velocity-controllers (0.12.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Apr 2017 00:00:00 -0000

ros-one-velocity-controllers (0.12.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-one-velocity-controllers (0.12.0-0jammy) jammy; urgency=high

  * Change for format2
  * Add Enrique and Bence to maintainers
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-one-velocity-controllers (0.11.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 16 Aug 2016 00:00:00 -0000

ros-one-velocity-controllers (0.11.1-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 23 May 2016 00:00:00 -0000

ros-one-velocity-controllers (0.11.0-0jammy) jammy; urgency=high

  * Add antinwindup to get and setGains logic for underlying PID controller
  * Contributors: Paul Bovbel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 May 2016 00:00:00 -0000

ros-one-velocity-controllers (0.10.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-one-velocity-controllers (0.9.2-0jammy) jammy; urgency=high



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-velocity-controllers//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-velocity-controllers 0.22.0-0noble.20251023.1006

=== debian/changelog ===
ros-one-velocity-controllers (0.22.0-0noble.20251023.1006) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 10:06:47 +0000

ros-one-velocity-controllers (0.22.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 May 2024 00:00:00 -0000

ros-one-velocity-controllers (0.21.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-velocity-controllers (0.21.1-0noble) noble; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-velocity-controllers (0.21.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-velocity-controllers (0.20.0-0noble) noble; urgency=high

  * Drop old C++ standard
  * Contributors: Jochen Sprickerhof

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 May 2022 00:00:00 -0000

ros-one-velocity-controllers (0.19.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-velocity-controllers (0.18.1-0noble) noble; urgency=high

  * Format package.xml and CMakeLists.txt files + clean deps of velocity_controllers pkg
  * Contributors: Mateus Amarante Araújo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-velocity-controllers (0.18.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-velocity-controllers (0.17.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 May 2020 00:00:00 -0000

ros-one-velocity-controllers (0.16.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-velocity-controllers (0.16.0-0noble) noble; urgency=high

  * Assuming lower limits are smaller than upper limits
  * Solving issues with large rotational limits
  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Franco Fusco, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-velocity-controllers (0.15.1-0noble) noble; urgency=high

  * add missing pluginlib deps. (#451 <https://github.com/ros-controls/ros_controllers/issues/451>)
  * Contributors: Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-velocity-controllers (0.15.0-0noble) noble; urgency=high

  * Default all controller builds to C++14
  * boost::scoped_ptr -> std::unique_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-velocity-controllers (0.14.3-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-velocity-controllers (0.14.2-0noble) noble; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-velocity-controllers (0.14.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-velocity-controllers (0.14.0-0noble) noble; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-velocity-controllers (0.13.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-velocity-controllers (0.13.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-one-velocity-controllers (0.13.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Aug 2017 00:00:00 -0000

ros-one-velocity-controllers (0.12.3-0noble) noble; urgency=high

  * Supply NodeHandle to urdf::Model. Closes #244 <https://github.com/ros-controls/ros_controllers/issues/244>
  * Contributors: Piyush Khandelwal

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 23 Apr 2017 00:00:00 -0000

ros-one-velocity-controllers (0.12.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Apr 2017 00:00:00 -0000

ros-one-velocity-controllers (0.12.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-one-velocity-controllers (0.12.0-0noble) noble; urgency=high

  * Change for format2
  * Add Enrique and Bence to maintainers
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-one-velocity-controllers (0.11.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 16 Aug 2016 00:00:00 -0000

ros-one-velocity-controllers (0.11.1-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 23 May 2016 00:00:00 -0000

ros-one-velocity-controllers (0.11.0-0noble) noble; urgency=high

  * Add antinwindup to get and setGains logic for underlying PID controller
  * Contributors: Paul Bovbel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 May 2016 00:00:00 -0000

ros-one-velocity-controllers (0.10.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-one-velocity-controllers (0.9.2-0noble) noble; urgency=high



## ros-one-velocity-controllers 0.22.0-0noble.20260221.2213

=== debian/changelog ===
ros-one-velocity-controllers (0.22.0-0noble.20260221.2213) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 21 Feb 2026 22:13:40 +0000

=== debian/control ===
Source: ros-one-velocity-controllers
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-interface, ros-one-forward-command-controller, ros-one-hardware-interface, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-std-msgs, ros-one-urdf
Homepage: https://github.com/ros-controls/ros_controllers/wiki
Standards-Version: 3.9.2

Package: ros-one-velocity-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-interface, ros-one-forward-command-controller, ros-one-hardware-interface, ros-one-realtime-tools, ros-one-roscpp, ros-one-std-msgs, ros-one-urdf
Description: velocity_controllers
